#include "at32f403a_407.h" 
#include "settings_api.h"
#include "settings_ai.h"


#if defined (MAI_12)

//
void settings_ai_set_all_default(void)
{
    // Аналоговые входы
    settings_ai_def(&settings);
    
    // Питание внешних датчиков
    settings_ext_sens_power_def(&settings);
}

//
void settings_ai_def(settings_t *settings)
{
#if 0  
    // Все входы выключены
    settings->ai_state_bits = 0;
    
    // Режим измерения напряжения
    settings->ai_mode_bits = 0;
#endif    
    
    for (int i = 0; i < AI_NUMBER; i++)
    {  
        settings->ai[i].state = 0;  // вход выключен
        settings->ai[i].mode = 0;   // режим измерения напряжения
        settings->ai[i].gain_factor = 1;    // коэф-т усиления внешнего ADC
    }
}

//
void settings_ext_sens_power_def(settings_t *settings)
{
    settings->ext_sens_power = 0;
}

#endif